## ros-indigo-xacro 1.9.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xacro)

find_package(catkin REQUIRED roslint)

catkin_python_setup()

catkin_package(
  CFG_EXTRAS xacro-extras.cmake
)

# this script is just for backwards compatibility. the roslaunch $(find ...)
# expects the script to be in the package directory, and in catkin
# the package direcory is the share directory
install(PROGRAMS xacro.py DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS scripts/xacro DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  ## Add folders to be run by python nosetests
  catkin_add_nosetests(test)
endif()

roslint_python()

=== debian/changelog ===
ros-indigo-xacro (1.9.5-0trusty) trusty; urgency=high

  * optionally include latest improvements in xacro-jade into xacro-indigo
  * Contributors: Morgan Quigley

 -- Morgan Quigley <morgan@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-xacro (1.9.4-0trusty) trusty; urgency=high

  * Using xacro for launch files with <arg> tags would cause the <args> tags to get
    eaten. Removed "arg" and only look for "xacro:arg".
  * Add test for eating launch parameter arguments
  * updated pr2 gold standard to include all comments
  * allow to ignore comments in nodes_match()
  * fixed handling of non-element nodes in <include>, <if>, <macro>
  * fixed writexml: text nodes were not printed when other siblings exist
  * improved xml matching, add some new unit tests
  * travis-ci: fixup running of tests
  * fix pathnames used in test case
  * Include CATKIN_ENV params at build time.
  * use output filename flag instead of shell redirection
  * create output file only if parsing is successful
  * Contributors: Mike O'Driscoll, Morgan Quigley, Robert Haschke, William Woodall

 -- Morgan Quigley <morgan@osrfoundation.org>  Wed, 01 Apr 2015 07:00:00 -0000

ros-indigo-xacro (1.9.3-0trusty) trusty; urgency=high

  * merge test cases
  * add a snapshot of the pr2 model to the test directory. add a test case which verifies that the pr2 model is parsed equal to a 'golden' parse of it.
  * add more tests
  * add default arg tests
  * Allow default values for substitution args
  * Fix up comments
  * Allow xacro macros to have default parameters
  * Contributors: Paul Bovbel, Morgan Quigley

 -- Morgan Quigley <morgan@osrfoundation.org>  Wed, 14 Jan 2015 08:00:00 -0000

ros-indigo-xacro (1.9.2-0trusty) trusty; urgency=high

  * add a few more tests to exercise the symbol table a bit more
  * allow for recursive evaluation of properties in expressions
  * add useful debugging information when parameters are not set
  * stop test from failing the second time it is run
  * unified if/unless handling, correctly handle floating point expressions
  * floating point expressions not equal zero are now evaluated as True
  * changed quotes to omit cmake warning
  * Contributors: Robert Haschke, Mike Ferguson

 -- Morgan Quigley <morgan@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-indigo-xacro (1.9.1-0trusty) trusty; urgency=high

  * fixup tests so they run
  * export architecture_independent flag in package.xml
  * installed relocatable fix
  * Contributors: Michael Ferguson, Mike Purvis, Scott K Logan

 -- Morgan "codebot" Quigley <morgan@osrfoundation.org>  Sat, 21 Jun 2014 07:00:00 -0000

ros-indigo-xacro (1.9.0-0trusty) trusty; urgency=high

  * Remove the roslint_python glob, use the default one.
  * Add roslint target to xacro; two whitespace fixes so that it passes.
  * fix evaluation of integers in if statements
    also added a unit test, fixes #15 <https://github.com/ros/xacro/issues/15>
  * fix setting of _xacro_py CMake var, fixes #16 <https://github.com/ros/xacro/issues/16>
  * Add support for globbing multiple files in a single <xacro:include>
  * code cleanup and python3 support
  * check for CATKIN_ENABLE_TESTING

 -- Morgan "codebot" Quigley <morgan@osrfoundation.org>  Fri, 28 Mar 2014 07:00:00 -0000

ros-indigo-xacro (1.8.4-0trusty) trusty; urgency=high

  * Merge pull request #9 <https://github.com/ros/xacro/issues/9> from davetcoleman/hydro-devel
    Xacro should not use plain 'include' tags but only namespaced ones.
  * Fix for the fact that minidom creates text nodes which count as child nodes
  * Removed <uri> checking and made it more general for any child element of an <include> tag
  * Removed Groovy reference, only being applied to Hydro
  * Created check for Gazebo's <uri> tabs only only shows deprecated warnings if not present.
  * Small spelling fix
  * Xacro should not use plain 'include' tags but only namespaced ones.
  * Merge pull request #8 <https://github.com/ros/xacro/issues/8> from piyushk/hydro-devel-conditional
    xacro conditional blocks
  * using refined arguments instead of sys.argv for xml file location
  * adding conditional blocks to xacro

 -- Morgan "codebot" Quigley <morgan@osrfoundation.org>  Tue, 06 Aug 2013 07:00:00 -0000

ros-indigo-xacro (1.8.3-0trusty) trusty; urgency=high

  * bumped version to 1.8.3 for hydro release
  * backwards compatilibity with rosbuild
  * adding unit test for substitution args
  * Adding supoprt for substitution_args 'arg' fields
  * Remove bin copy of xacro.py
  * 1.7.3
  * Install xacro.py as a program so it can be run
  * 1.7.2
  * fixed build issues introduced in catkinization
  * 1.7.1
  * PEP8, cleanup, and remove roslib
  * Update copyright, self import guard, and catkinize
  * Catkinize.
  * Cleanup in preparation of catkinization.
  * Added tag unstable for changeset 169c4bf30367
  * Added tag xacro-1.6.1 for changeset fc45af7fdada
  * 1.6.1 marker
  * xacro: fuerte compat with sub args import
  * Added tag unstable for changeset 2d3c8dbfa3c9
  * Added tag xacro-1.6.0 for changeset e4a4455189bf
  * 1.6.0
  * converted to unary stack from common stack
  * xacro: fixed inserting property blocks (ros-pkg #4561 <https://github.com/ros/xacro/issues/4561>)
  * xacro now uses XacroExceptions. String exceptions are not allowed in Python anymore. #4209 <https://github.com/ros/xacro/issues/4209>
  * Added Ubuntu platform tags to manifest
  * Xacro now places comments below <?xml> tag (#3859 <https://github.com/ros/xacro/issues/3859>)
  * Xacro prints out cleaner xml.
    Elements are now often separated by a newline.
  * xacro dependency on roslaunch removed #3451 <https://github.com/ros/xacro/issues/3451>
  * Xacro now adds a message mentioning that the file was autogenerated (#2775 <https://github.com/ros/xacro/issues/2775>)
  * Remove use of deprecated rosbuild macros
  * Integers stay integers in xacro, fixing #3287 <https://github.com/ros/xacro/issues/3287>
  * Tests for r25868


=== debian/control ===
Source: ros-indigo-xacro
Section: misc
Priority: extra
Maintainer: Morgan Quigley <morgan@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.68), ros-indigo-roslint, ros-indigo-rostest
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-indigo-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roslaunch
Description: Xacro (XML Macros) Xacro is an XML macro language. With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-xacro//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
